%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pyxdg
Version:       0.28
Release:       1mamba
Summary:       PyXDG contains implementations of freedesktop.org standards in python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://freedesktop.org/wiki/Software/pyxdg/
Source:        https://pypi.debian.net/pyxdg/pyxdg-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:    python-xdg%{?pyappend:-%pyappend} <= 5.1.1-1mamba
%pyver_package
%endif

%prep
%setup -q -n pyxdg-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc AUTHORS COPYING

%changelog
* Mon Jun 06 2022 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27-2mamba
- obsolete conflicting package python-xdg <= 5.1.1-1mamba

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27-1mamba
- package created using the webbuild interface
